import axios from './api.config'
import qs from 'qs'

// 获取消息
export const getMessageList = (data) => {
  return axios.request({
    url: 'getmessage',
    data: qs.stringify(data, {arrayFormat: 'brackets'})
  })
}
// 发送消息
export const sendMessage = (data) => {
  return axios.request({
    url: 'sendmessage',
    data: qs.stringify(data, {arrayFormat: 'brackets'})
  })
}

// 阅读消息
export const readerMessage = (id) => {
  let data = {
    id:id
  }
  return axios.request({
    url: 'readmessage',
    data: qs.stringify(data, {arrayFormat: 'brackets'})
  })
}
// 阅读消息
export const removeMessage = (id) => {
  let data = {
    id:id
  }
  return axios.request({
    url: 'removemessage',
    data: qs.stringify(data, {arrayFormat: 'brackets'})
  })
}
// 阅读消息
export const getMessageCount = () => {
  return axios.request({
    url: 'getmessagecount',
  })
}
